Results 1 to 10 of 10

Thread: Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Printer

  1. #1
    Join Date
    Sep 2010
    Location
    Rhineland-Palatinate
    Posts
    138

    Question Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Printer

    Hallo Leute!

    Bei 11.3 hat es problemlos geklappt, meinen All-in-one betriebsfähig zu machen, bei 11.4 scheint es erheblich schwieriger zu sein ...

    Also: Das repository ist eingerichtet, hplip ist installiert. Leider weiß ich nicht genau, ob ich den Treiber für 1500 oder 1510 eingesetzt habe, jedenfalls ...

    ... druckt er ab der zweiten Seite die vorausgegangenen und die aktuelle Seite auf ein einziges Blatt (so dass damit nichts mehr angefangen werden kann).
    ... blockiert hp-toolbox viele Verwaltungsaktionen mit
    Code:
    Unable to delete printer queue
    Please add user to 'lp' group(s)
    und ähnlichen Hinweisen.

    Welche Einstellungen muss ich in YAST2 oder per Befehlszeile tätigen, dass es funktioniert?
    ... Versucht habe ich schon ein bisschen.

    Danke für Eure Antwort ...

    ##########
    - Notebook: Lenovo G530 4446-25G --- Dualboot: (1) Windows 7 32bit; (2) openSUSE 11.4 (i586), Kernel: Linux 2.6.37.1-1.2-default i686, KDE 4.6.00 (4.6.0) "release 6"

  2. #2
    Join Date
    Sep 2010
    Location
    Rhineland-Palatinate
    Posts
    138

    Question AW: Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Printe

    Unter Yast2 / Verwaltung von Benutzern und Gruppen sah es jetzt so aus:

    [Anmeldename] / [Benutzername] / Benutzerkennung UID = 1000 / Gruppen = video,users,lp


    Müsste das nicht eigentlich schon genügen? Ich bin echt ratlos ...

  3. #3
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default AW: Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Printe

    Ich kenne leider dein Gerät nicht, also bitte entschuldige die dumme Rückfrage. Hast du dich ausgelogged und wieder eingelogged nachdem du lp als Gruppe hinzugefügt hast? Eine Änderung an den Gruppen wird sonst nicht wirksam.

  4. #4
    Join Date
    Sep 2010
    Location
    Rhineland-Palatinate
    Posts
    138

    Unhappy AW: Erhebliche Druckprobleme / hplip 3.11.1 / Hewlett Packard hp PSC 1510s All-in-one Printer

    Hi Martin!

    Vielen Dank für die kurze Rückmeldung. Ich glaube, Du hast etwas Wesentliches gesagt. Habe es eben mit Ab- und Wiederanmelden probiert, und nachdem jetzt die "lp"- und die "sys"-group eingetragen sind, laufen die Verwaltungsangelegenheiten (wie z.B. Drucker entfernen und installieren; diesmal eindeutig mit der 1510er Quelldatei). Das Gehudel mit den Fehlermeldungen ist nicht mehr aufgetaucht.

    Leider besteht das Hauptproblem immer noch. Immer wenn ich den Auftrag gebe, mehrere Seiten zu drucken (egal, wie viele Seiten pro Blatt o.ä.), beginnt der psc 1510s ab der zweiten Seite, dieselbe in mehrere Segmente zu zerlegen (immer schön im selben Abstand von ein paar Zentimetern) und zu Beginn eines jeden Segments die aktuelle Seite noch mal über den regulären Druck drüberzulegen, so dass am Ende ein schwarzer Brei entsteht, je weiter unten auf der Seite, desto schlimmer ... Die Seite wird mit dem kurzen Ende voran ausgeworfen, so dass ebendiese Richtung auch segmentiert wird, egal ob das Gerät senk- oder waagrecht druckt.

    Hast Du da Erfahrungen oder eine Idee?

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Printer

    ThJJackson wrote:

    >
    > Hast Du da Erfahrungen oder eine Idee?
    >

    Leider nicht wirklich.
    Aber gib mal im Terminal vorsichtshalber
    Code:
    rpm -q hplip
    ein und teile uns das Ergebnis mit, vielleicht hat sonst jemand eine Ahnung
    und die Versionsnummer der hplip hilft.
    Zeigt dir das HP Device Center irgendeinen Hinweis an, dass du Firmware
    installieren musst oder hast es schon getan? Bei meinem HP Color Laser 1600
    war das nötig.
    Ich hoffe hier gibt es irgendjemanden der mit deinem Gerät mehr Ahnung hat
    als ich (also größer Null).

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.1 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  6. #6
    Join Date
    Sep 2010
    Location
    Rhineland-Palatinate
    Posts
    138

    Default AW: Re: Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Pr

    Code:
    rpm -q hplip
    hplip-3.11.1-6.1.i586
    Thanks

  7. #7
    Join Date
    Sep 2010
    Location
    Rhineland-Palatinate
    Posts
    138

    Default AW: Re: Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Pr

    Habe mich an alte Zeiten erinnert. Es gibt ja auch das hp-check-Programm ... 15 Fehlermeldungen ist 'ne Menge. Soll ich einfach mal die Pakete nachinstallieren?

    Code:
    ~> hp-check -t
    
    HP Linux Imaging and Printing System (ver. 3.11.1)
    Dependency/Version Check Utility ver. 14.3
    
    Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    Note: hp-check can be run in three modes:
    1. Compile-time check mode (-c or --compile): Use this mode before        
    compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the
    proper dependencies are installed to successfully compile HPLIP.          
    2. Run-time check mode (-r or --run): Use this mode to determine if a     
    distro supplied package (.deb, .rpm, etc) or an already built HPLIP       
    supplied tarball has the proper dependencies installed to successfully    
    run.                                                                      
    3. Both compile- and run-time check mode (-b or --both) (Default): This   
    mode will check both of the above cases (both compile- and run-time       
    dependencies).                                                            
    
    Saving output in log file: hp-check.log
    
    Initializing. Please wait...
     
    ---------------
    | SYSTEM INFO |
    ---------------
    
    Basic system information:
    Linux linux-tkd5.site 2.6.37.1-1.2-default #1 SMP 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux
    
    Distribution:
    suse 11.4
    
    Checking Python version...
    OK, version 2.7.0 installed
    
    Checking PyQt 4.x version...
    OK, version 4.8.3 installed.
    
    Checking for CUPS...
    Status: Scheduler ist aktiv
    Version: 1.4.6
    error_log is set to level: warn
    
    Checking for dbus/python-dbus...
    dbus daemon is running.
    python-dbus version: 0.83.2
    
    
    ------------------------------------
    | COMPILE AND RUNTIME DEPENDENCIES |
    ------------------------------------
    
    note: To check for compile-time only dependencies, re-run hp-check with the -c parameter (ie, hp-check -c).
    note: To check for run-time only dependencies, re-run hp-check with the -r parameter (ie, hp-check -r).
    
    Checking for dependency: CUPS - Common Unix Printing System...
    OK, found.
    
    Checking for dependency: CUPS devel- Common Unix Printing System development files...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: CUPS image - CUPS image development files...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: DBus - Message bus system...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: gcc - GNU Project C and C++ Compiler...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...
    OK, found.
    
    Checking for dependency: libcrypto - OpenSSL cryptographic library...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: libjpeg - JPEG library...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: libnetsnmp-devel - SNMP networking library development files...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: libpthread - POSIX threads library...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: libtool - Library building support services...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: libusb - USB library...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: make - GNU make utility to maintain groups of programs...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...
    OK, found.
    
    Checking for dependency: PolicyKit - Administrative policy framework...
    OK, found.
    
    Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
    OK, found.
    
    Checking for dependency: Python DBus - Python bindings for DBus...
    OK, found.
    
    Checking for dependency: Python devel - Python development files...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: Python libnotify - Python bindings for the libnotify Desktop notifications...
    warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
    
    Checking for dependency: Python XML libraries...
    OK, found.
    
    Checking for dependency: Python 2.3 or greater - Required for fax functionality...
    OK, found.
    
    Checking for dependency: Python 2.2 or greater - Python programming language...
    OK, found.
    
    Checking for dependency: Reportlab - PDF library for Python...
    OK, found.
    
    Checking for dependency: SANE - Scanning library...
    OK, found.
    
    Checking for dependency: SANE - Scanning library development files...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: scanimage - Shell scanning program...
    OK, found.
    
    Checking for dependency: xsane - Graphical scanner frontend for SANE...
    OK, found.
    
    
    ----------------------
    | HPLIP INSTALLATION |
    ----------------------
    
    
    Currently installed HPLIP version...
    HPLIP 3.11.1 currently installed in '/usr/share/hplip'.
    
    Current contents of '/etc/hp/hplip.conf' file:
    # hplip.conf.  Generated from hplip.conf.in by configure.
    
    [hplip]
    version=3.11.1
    
    [dirs]
    home=/usr/share/hplip
    run=/var/run
    ppd=/usr/share/cups/model/manufacturer-PPDs/hplip
    ppdbase=/usr/share/cups/model/manufacturer-PPDs
    doc=/usr/share/doc/packages/hplip
    icon=/usr/share/applications
    cupsbackend=/usr/lib/cups/backend
    cupsfilter=/usr/lib/cups/filter
    drv=/usr/lib/cups/driver
    
    # Following values are determined at configure time and cannot be changed.
    [configure]
    network-build=yes
    pp-build=yes
    gui-build=yes
    scanner-build=yes
    fax-build=yes
    dbus-build=yes
    cups11-build=no
    doc-build=yes
    shadow-build=no
    hpijs-install=yes
    foomatic-drv-install=no
    foomatic-ppd-install=yes
    foomatic-rip-hplip-install=yes
    hpcups-install=yes
    cups-drv-install=no
    cups-ppd-install=yes
    internal-tag=3.11.1.19
    restricted-build=no
    ui-toolkit=qt4
    qt3=no
    qt4=yes
    policy-kit=no
    hpijs-only-build=no
    lite-build=no
    udev-acl-rules=no
    hpcups-only-build=no
    hpijs-only-build=no
    
    
    Current contents of '/var/lib/hp/hplip.state' file:
    # hplip.state - HPLIP runtime persistent variables. 
    
    [plugin]
    installed=0
    eula=0
    
    
    
    Current contents of '~/.hplip/hplip.conf' file:
    [installation]
    version = 3.11.1.19
    date_time = 04/16/11 01:09:08
    
    [settings]
    systray_visible = 0
    systray_messages = 0
    
    [last_used]
    device_uri = "hp:/usb/PSC_1500_series?serial=MY597D249804M2"
    printer_name = PSC_1500
    working_dir = .
    
    [commands]
    scan = /usr/bin/xsane -V %SANE_URI%
    
    [refresh]
    rate = 30
    enable = false
    type = 1
    
    [polling]
    enable = false
    interval = 5
    device_list = 
    
    [fax]
    voice_phone = 
    email_address = 
    
    
    
    --------------------------
    | DISCOVERED USB DEVICES |
    --------------------------
    
      Device URI                     Model             
      -----------------------------  ------------------
      hp:/usb/PSC_1500_series?seria  HP PSC 1500 series
      l=MY597D249804M2                                 
    
    ---------------------------------
    | INSTALLED CUPS PRINTER QUEUES |
    ---------------------------------
    
     
    HP_PSC_1500_series
    ------------------
    Type: Unknown
    Device URI: usb://HP/PSC%201500%20series?serial=MY597D249804M2
    PPD: /etc/cups/ppd/HP_PSC_1500_series.ppd
    PPD Description: HP PSC 1510 Series, hpcups 3.11.1.19
    Printer status: Drucker „HP_PSC_1500_series“ ist inaktiv; aktiviert seit Sa 16 AprUnable to write print data: Input/output error
    warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend to function in HPLIP.
    
    PSC_1510s
    ---------
    Type: Printer
    Device URI: hp:/usb/PSC_1500_series?serial=MY597D249804M2
    PPD: /etc/cups/ppd/PSC_1510s.ppd
    PPD Description: HP PSC 1510 Series hpijs, 3.11.1.19
    Printer status: Drucker „PSC_1510s“ ist inaktiv; aktiviert seit Sa 16 Apr 2011 01:06:55 CEST
    Communication status: Good
    
    
    ----------------------
    | SANE CONFIGURATION |
    ----------------------
    
    'hpaio' in '/etc/sane.d/dll.conf'...
    OK, found. SANE backend 'hpaio' is properly set up.
    
    Checking output of 'scanimage -L'...
    device `hpaio:/usb/PSC_1500_series?serial=MY597D249804M2' is a Hewlett-Packard PSC_1500_series all-in-one
    
    
    ---------------------
    | PYTHON EXTENSIONS |
    ---------------------
    
    Checking 'cupsext' CUPS extension...
    OK, found.
    
    Checking 'pcardext' Photocard extension...
    OK, found.
    
    Checking 'hpmudext' I/O extension...
    OK, found.
    
    Checking 'scanext' SANE scanning extension...
    OK, found.
    
    
     
    -----------------
    | USB I/O SETUP |
    -----------------
    
    Checking for permissions of USB attached printers...
    
    HP Device 0x4c11 at 005:005: 
        Device URI: hp:/usb/PSC_1500_series?serial=MY597D249804M2
        Device node: /dev/bus/usb/005/005
        Mode: 0664
    getfacl: Entferne f?hrende '/' von absoluten Pfadnamen
    # file: dev/bus/usb/005/005
    # owner: root
    # group: lp
    user::rw-
    user:horatius:rw-
    group::rw-
    mask::rw-
    other::r--
    
    
    
    ---------------
    | USER GROUPS |
    ---------------
    
    users sys lp video
    
    
    -----------
    | SUMMARY |
    -----------
    
    error: 15 errors and/or warnings.
    
    Please refer to the installation instructions at:
    http://hplip.sourceforge.net/install/index.html
    
    
    Done.

  8. #8
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Erhebliche Druckprobleme / Add user to lp group / Hewlett Packard hp PSC 1510s All-in-one Printer

    ThJJackson wrote:

    >
    > Habe mich an alte Zeiten erinnert. Es gibt ja auch das hp-check-Programm
    > .. 15 Fehlermeldungen ist 'ne Menge. Soll ich einfach mal die Pakete
    > nachinstallieren?
    >

    Die Meldungen bei denen REQUIRED/COMPILE TIME ONLY steht kann man getrost
    ignorieren, wenn man das nicht selbst kompilieren möchte und du verwendest
    ja das rpm.
    Ja ich würde mal ganz banal daran gehen die anderen Sachen zu installieren
    (schlimmstenfalls verschwendest du halt ein paar MB Plattenplatz).
    Vielleicht löst das das Problem auf wundersame Weise (wenn ja solltest du
    dir das auf jeden Fall Notieren und einen Bugreport erstellen).

    Die ultima Ratio wäre natürlich am Ende hplip zu deinstallieren un direkt
    den Installer von Sourceforge zu verwenden der die neueste Version von hplip
    kompiliert. Dann müssen natürlich alle Abhängigkeiten nachinstalliert
    werden.

    Nochwas zum Testen um sicher zu gehen nicht an der falschen Stelle Energie
    hineinzustecken: Läuft der Drucker an einem anderen System problemlos, so
    wie er soll?

    Und schau mal in /var/log/cups/error_log rein ob sich was interessantes
    darin findet, evtl hier posten.

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.1 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  9. #9
    Join Date
    Sep 2010
    Location
    Rhineland-Palatinate
    Posts
    138

    Default AW: Erhebliche Druckprobleme / hplip 3.11.1 / Hewlett Packard hp PSC 1510s All-in-one Printer

    Hier der Eintrag aus /var/log/cups/error_log

    Code:
    E [02/Apr/2011:17:26:07 +0200] [CGI] Unable to scan "@LOCAL"!
    E [07/Apr/2011:06:33:38 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [07/Apr/2011:06:33:43 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [07/Apr/2011:06:34:00 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [07/Apr/2011:06:34:11 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [07/Apr/2011:15:34:05 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [07/Apr/2011:15:34:09 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [07/Apr/2011:15:37:54 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [07/Apr/2011:15:37:57 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [12/Apr/2011:05:17:13 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [12/Apr/2011:05:17:23 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [12/Apr/2011:05:25:56 +0200] cupsdAuthorize: pam_authenticate() returned 7 (Authentication failure)!
    E [12/Apr/2011:05:27:16 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [12/Apr/2011:05:30:30 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [12/Apr/2011:05:30:32 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [12/Apr/2011:05:59:34 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [12/Apr/2011:05:59:38 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [12/Apr/2011:06:07:30 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [12/Apr/2011:06:08:48 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [13/Apr/2011:17:18:54 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [13/Apr/2011:17:45:18 +0200] [Job 6] Unable to write print data: Input/output error
    E [13/Apr/2011:17:46:20 +0200] Returning HTTP Forbidden for Pause-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [13/Apr/2011:17:46:28 +0200] Returning HTTP Forbidden for CUPS-Reject-Jobs (ipp://localhost/printers/PSC_1500) from localhost
    E [13/Apr/2011:17:46:29 +0200] Returning HTTP Forbidden for Pause-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [13/Apr/2011:17:46:33 +0200] Returning HTTP Forbidden for Pause-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [13/Apr/2011:17:48:03 +0200] Returning HTTP Forbidden for CUPS-Delete-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [13/Apr/2011:17:48:14 +0200] Returning HTTP Forbidden for CUPS-Delete-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [13/Apr/2011:17:54:12 +0200] Returning HTTP Forbidden for CUPS-Delete-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [15/Apr/2011:17:08:37 +0200] Returning HTTP Forbidden for CUPS-Delete-Printer (ipp://localhost/printers/PSC_1500) from localhost
    E [15/Apr/2011:17:10:40 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [16/Apr/2011:01:03:16 +0200] [Job 8] Unable to write print data: Input/output error
    E [16/Apr/2011:01:03:47 +0200] [Job 10] Unable to write print data: Input/output error
    E [16/Apr/2011:01:06:25 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    Auffällig ist, glaube ich, die "Bad driver information". Mal sehen, wie's bei den nächsten Probedrucken läuft. Sollte sich etwas Grundlegendes ändern, werd' ich's posten.

  10. #10
    Join Date
    Sep 2010
    Location
    Rhineland-Palatinate
    Posts
    138

    Smile hplip 3.11.3a / Hewlett Packard hp PSC 1510s All-in-one Printer

    Ja, ähh, ich glaube, da war irgendwas anderes. In openSuSEs Druckerverwaltung (nicht hplip) waren irgendwie von Installationsversuchen zwei Drucker übriggeblieben. Vielleicht kamen sich diese Installationen gegenseitig ins Gehege. Aber sei's drum. Nach meinem heutigen Eingriff scheint es zu funktionieren.

    Für Detailinteressierte hier aber noch
    Code:
    -> hp-check -t
    
    HP Linux Imaging and Printing System (ver. 3.11.3a)
    Dependency/Version Check Utility ver. 14.3
    
    Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    Note: hp-check can be run in three modes:
    1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to  
    successfully compile HPLIP.                                                                                                                                                         
    2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper           
    dependencies installed to successfully run.                                                                                                                                         
    3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).                          
    
    Saving output in log file: hp-check.log
    
    Initializing. Please wait...
     
    ---------------
    | SYSTEM INFO |
    ---------------
    
    Basic system information:
    Linux linux-tkd5.site 2.6.37.1-1.2-default #1 SMP 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux
    
    Distribution:
    suse 11.4
    
    Checking Python version...
    OK, version 2.7.0 installed
    
    Checking PyQt 4.x version...
    OK, version 4.8.3 installed.
    
    Checking for CUPS...
    Status: Scheduler ist aktiv
    Version: 1.4.6
    error_log is set to level: warn                                                                                                                                                     
                                                                                                                                                                                        
    Checking for dbus/python-dbus...                                                                                                                                                    
    dbus daemon is running.                                                                                                                                                             
    python-dbus version: 0.83.2                                                                                                                                                         
                                                                                                                                                                                        
    
    ------------------------------------
    | COMPILE AND RUNTIME DEPENDENCIES |
    ------------------------------------
    
    note: To check for compile-time only dependencies, re-run hp-check with the -c parameter (ie, hp-check -c).
    note: To check for run-time only dependencies, re-run hp-check with the -r parameter (ie, hp-check -r).
    
    Checking for dependency: CUPS - Common Unix Printing System...
    OK, found.
    
    Checking for dependency: CUPS devel- Common Unix Printing System development files...
    OK, found.
    
    Checking for dependency: CUPS image - CUPS image development files...
    OK, found.
    
    Checking for dependency: DBus - Message bus system...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: gcc - GNU Project C and C++ Compiler...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...
    OK, found.
    
    Checking for dependency: libcrypto - OpenSSL cryptographic library...
    OK, found.
    
    Checking for dependency: libjpeg - JPEG library...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: libnetsnmp-devel - SNMP networking library development files...
    OK, found.
    
    Checking for dependency: libpthread - POSIX threads library...
    OK, found.
    
    Checking for dependency: libtool - Library building support services...
    OK, found.
    
    Checking for dependency: libusb - USB library...
    error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: make - GNU make utility to maintain groups of programs...
    OK, found.
    
    Checking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...
    OK, found.
    
    Checking for dependency: PolicyKit - Administrative policy framework...
    OK, found.
    
    Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
    OK, found.
    
    Checking for dependency: Python DBus - Python bindings for DBus...
    OK, found.
    
    Checking for dependency: Python devel - Python development files...
    OK, found.
    
    Checking for dependency: Python libnotify - Python bindings for the libnotify Desktop notifications...
    warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.
    
    Checking for dependency: Python XML libraries...
    OK, found.
    
    Checking for dependency: Python 2.3 or greater - Required for fax functionality...
    OK, found.
    
    Checking for dependency: Python 2.2 or greater - Python programming language...
    OK, found.
    
    Checking for dependency: Reportlab - PDF library for Python...
    OK, found.
    
    Checking for dependency: SANE - Scanning library...
    OK, found.
    
    Checking for dependency: SANE - Scanning library development files...
    error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.
    
    Checking for dependency: scanimage - Shell scanning program...
    OK, found.
    
    Checking for dependency: xsane - Graphical scanner frontend for SANE...
    OK, found.
    
    
    ----------------------
    | HPLIP INSTALLATION |
    ----------------------
    
    
    Currently installed HPLIP version...
    HPLIP 3.11.3a currently installed in '/usr/share/hplip'.
    
    Current contents of '/etc/hp/hplip.conf' file:
    # hplip.conf.  Generated from hplip.conf.in by configure.
    
    [hplip]
    version=3.11.3a
    
    [dirs]
    home=/usr/share/hplip
    run=/var/run
    ppd=/usr/share/cups/model/manufacturer-PPDs/hplip
    ppdbase=/usr/share/cups/model/manufacturer-PPDs
    doc=/usr/share/doc/packages/hplip
    icon=/usr/share/applications
    cupsbackend=/usr/lib/cups/backend
    cupsfilter=/usr/lib/cups/filter
    drv=/usr/lib/cups/driver
    
    # Following values are determined at configure time and cannot be changed.
    [configure]
    network-build=yes
    pp-build=yes
    gui-build=yes
    scanner-build=yes
    fax-build=yes
    dbus-build=yes
    cups11-build=no
    doc-build=yes
    shadow-build=no
    hpijs-install=yes
    foomatic-drv-install=no
    foomatic-ppd-install=yes
    foomatic-rip-hplip-install=yes
    hpcups-install=yes
    cups-drv-install=no
    cups-ppd-install=yes
    internal-tag=3.11.3a
    restricted-build=no
    ui-toolkit=qt4
    qt3=no
    qt4=yes
    policy-kit=no
    hpijs-only-build=no
    lite-build=no
    udev-acl-rules=no
    hpcups-only-build=no
    hpijs-only-build=no
    
    
    Current contents of '/var/lib/hp/hplip.state' file:
    # hplip.state - HPLIP runtime persistent variables. 
    
    [plugin]
    installed=0
    eula=0
    
    
    
    Current contents of '~/.hplip/hplip.conf' file:
    [installation]
    version = 3.11.3a
    date_time = 04/17/11 15:39:48
    
    [settings]
    systray_visible = 0
    systray_messages = 0
    
    [last_used]
    device_uri = "hp:/usb/PSC_1500_series?serial=MY597D249804M2"
    printer_name = PSC_1500
    working_dir = .
    
    [commands]
    scan = /usr/bin/xsane -V %SANE_URI%
    
    [refresh]
    rate = 30
    enable = false
    type = 1
    
    [polling]
    enable = false
    interval = 5
    device_list = 
    
    [fax]
    voice_phone = 
    email_address = 
    
    
    
    --------------------------
    | DISCOVERED USB DEVICES |
    --------------------------
    
      Device URI                                     Model                               
      ---------------------------------------------  ------------------------------------
      hp:/usb/PSC_1500_series?serial=MY597D249804M2  HP PSC 1500 series                  
    
    ---------------------------------
    | INSTALLED CUPS PRINTER QUEUES |
    ---------------------------------
    
     
    PSC_1510s
    ---------
    Type: Printer
    Device URI: hp:/usb/PSC_1500_series?serial=MY597D249804M2
    PPD: /etc/cups/ppd/PSC_1510s.ppd
    PPD Description: HP PSC 1510 Series hpijs, 3.11.3a
    Printer ready to printr „PSC_1510s“ ist inaktiv; aktiviert seit So 17 Apr 2011 15:39:06 CEST
    Communication status: Good
    
    
    ----------------------
    | SANE CONFIGURATION |
    ----------------------
    
    'hpaio' in '/etc/sane.d/dll.conf'...
    OK, found. SANE backend 'hpaio' is properly set up.
    
    Checking output of 'scanimage -L'...
    device `hpaio:/usb/PSC_1500_series?serial=MY597D249804M2' is a Hewlett-Packard PSC_1500_series all-in-one
    
    
    ---------------------
    | PYTHON EXTENSIONS |
    ---------------------
    
    Checking 'cupsext' CUPS extension...
    OK, found.
    
    Checking 'pcardext' Photocard extension...
    OK, found.
    
    Checking 'hpmudext' I/O extension...
    OK, found.
    
    Checking 'scanext' SANE scanning extension...
    OK, found.
    
    
     
    -----------------
    | USB I/O SETUP |
    -----------------
    
    Checking for permissions of USB attached printers...
    
    HP Device 0x4c11 at 008:002: 
        Device URI: hp:/usb/PSC_1500_series?serial=MY597D249804M2
        Device node: /dev/bus/usb/008/002
        Mode: 0664
    getfacl: Entferne f?hrende '/' von absoluten Pfadnamen
    # file: dev/bus/usb/008/002
    # owner: root
    # group: lp
    user::rw-
    user:horatius:rw-
    group::rw-
    mask::rw-
    other::r--
    
    
    
    ---------------
    | USER GROUPS |
    ---------------
    
    users sys lp video
    
    
    -----------
    | SUMMARY |
    -----------
    
    error: 6 errors and/or warnings.
    
    Please refer to the installation instructions at:
    http://hplip.sourceforge.net/install/index.html
    
    
    Done.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •